<div align="center">
<img src="crowdtls.png" alt="CrowdTLS Logo">

# CrowdTLS-server

CrowdTLS validates SSL/TLS certificates against the crowd.

This is the backend server repository for it.<br/>

[Installation](#installation) •
[License](#license)
</div>

## Installation

I recommend that you deploy this with Docker or within a Python virtual environment.

## Deployment with Docker

Run the following command on your Linux system:
```bash
git clone https://github.com/darrylnixon/CrowdTLS-server.git && \
cd CrowdTLS-server && \
cp .env.sample .env && \
PW=$(/usr/bin/env python3 -c "import secrets; print(secrets.token_urlsafe(32))") /bin/bash -c 'sed -i "" "s/^POSTGRES_PASSWORD=.*/POSTGRES_PASSWORD=$PW/" .env' && \
docker-compose up --detach --build;
```

## FAQ

**What is this? I'm looking for the browser extension!**

You're in the wrong place. The browser extension can be found [here](https://sillyhats.mips.uk/pdf/CrowdTLS).

## License

This project is licensed under the MPL 2.0 License. See the `LICENSE` file for details.

I carefully evaluated various open-source licenses and chose the Mozilla Public License 2.0 (MPL 2.0) for CrowdTLS due to its compatibility with other licenses, strong copyleft provisions, and its alignment with my values and goals. MPL 2.0 ensures that the source code remains open and available, while allowing for flexibility in terms of collaboration and incorporation into other projects.

While I understand that different licenses may have their merits, I believe that MPL 2.0 provides the best balance of openness, collaborative potential, and legal clarity for the development and distribution of CrowdTLS.
